Subject: WF feature list additions

From: [email-masked] (Scott Barvick)
Date: Wed, 5 May 93 11:13:23 EDT

Please add NT2.1 and Ethernet to Wellfleet's entry in the matrix.  

I also have some more thoughts/questions on the flow control issue.  
In response to Dennis Wind's comments about flow control:

>Flow Control - Dave Kushi and I did some work on DLS Flow control
>last year. The idea was to pace across the WAN and RNR on a station
>basis if we didn't get a response back within a given window. We
>were attempting to slow the LAN stations down before congesting
>the WAN. Pacing was bi-directional and the responding 'circuit' would
>not send a response right away, but attempt to piggy back on a real
>message or wait for a given number of received messages before responding
>back. We had wanted to adjust the window size based on message
>queue depth. We tested what we had, but it was not completed and
>is ifdef'd out. But, it may be a starting point.

This is a good starting point and I'm sure we will be able to fill up
days in June discussing it.  I also think a more immediate mechanism
is missing from the DLS specification to let a switch know that a remote
end of a local connection has gone into RNR.  Until we have an elegant
solution to avoid (but not eliminate) RNR, we are going to have RNRs on links.
If the LLC2 connection running on the other side is not notified,
someone has to buffer the data until the RNR situation passes.  It seems
that we should RNR the remote connection via a new SSP message so that
we can avoid storing packets.  

Scott Barvick
[email-masked]